Subject: trap flies

From: [email-masked] (Stephanie D Saucier)
Date: 6 Mar 1995 20:31:55 GMT

I had a horrible problem with them.  Not so much the flies, but the 
maggots.  They only seemed to live in the kitchen drain.  I would come 
home from work and the kitchen would be crawling with maggots.  I had the 
Orkin man come out 3 times before they finally got rid of them.  It was 
really awful.